
// 详情页面结构JSON
const formRow = [{
		elCol: [{
				label: '父节点',
				prop: 'upIds',
				tag: 'elTreeSelect',
				options:[],
			},
			{
				label: '等级',
				prop: 'lvl',
				disabled:true,
				tag: 'elInputNumber',
			},
		]
	},
	{
		elCol: [{
				label: '菜单名称',
				prop: 'title',
				tag: 'elInput',
			},
			{
				label: '菜单英文名称',
				prop: 'name',
				tag: 'elInput',
			},
		]
	},
	{
		elCol: [{
				label: '文件路径',
				prop: 'component',
				tag: 'elInput',
			},
			{
				label: '菜单图标',
				prop: 'icon',
				tag: 'elInput',
			},
		]
	},
	{
		elCol: [{
				label: '页面路径',
				prop: 'path',
				tag: 'elInput',
			},
				{label: '菜单编码',
				prop: 'code',
				tag: 'elInput',
			},
		]
	},
	{
		elCol: [
			{
				label: '打开方式',
				prop: 'openType',
				tag: 'elRadio',
				options: [{
						label: '菜单',
						value: '1'
					},{
						label: '弹窗',
						value: '2'
					}
				]
			},
			{
				label: '菜单顺序',
				prop: 'sorts',
				tag: 'elInputNumber',
			},
		]
	},
	{
		elCol: [{
				label: '操作级别',
				prop: 'level',
				tag: 'elRadio',
				options: [{
						label: 'SuperAdmin',
						value: '1'
					},{
						label: 'admin',
						value: '2'
					},{
						label: 'user',
						value: '3'
					}
				]
			},
			{
				label: '显示',
				prop: 'hidden',
				tag: 'elRadio',
				options: [{
						label: '是',
						value: 'false'
					},{
						label: '否',
						value: 'true'
					}
				]
			},

			// {
			// 	label: '操作权限',
			// 	prop: 'telphone',
			// 	tag: 'elRadio',
			// 	options: [{
			// 			label: '是',
			// 			value: '1'
			// 		},{
			// 			label: '否',
			// 			value: '2'
			// 		}
			// 	]
			// },
		]
	},
]
const rules = {
	title: [{
		required: true,
		message: '请输入名称',
		trigger: 'change'
	}],
	component: [{
		required: true,
		message: '请输入文件路径',
		trigger: 'change'
	}],
	path: [{
		required: true,
		message: '请输入路由路径',
		trigger: 'change'
	}],
	code: [{
		required: true,
		message: '请输入编码',
		trigger: 'change'
	}],
	openType: [{
		required: true,
		message: '请选择打开方式',
		trigger: 'change'
	}],
};

export default {
	formRow,
	rules
}
