// 表头配置
const tableColumnJson = [{
		label: '所属部门',
		prop: 'o_OrganName',
		tooltip: true,
	},
	{
		label: '工号',
		prop: 'p_PersonCode',
		tooltip: true,
	},
	{
		label: '姓名',
		prop: 'p_PersonName',
		tooltip: true,
	},
	{
		label: '入职时间',
		prop: 'EntryTime',
		tooltip: true,
	},

	// {
	// 	label: '固定电话 ',
	// 	prop: 'p_MoiblePhone',
	// 	tooltip: true,
	// },
	// {
	// 	label: '电子邮箱',
	// 	prop: 'p_Email',
	// 	tooltip: true,
	// },
	{
		label: '出生年月',
		prop: 'p_BirthDay',
		tooltip: true,
	},
	{
		label: '是否用户分配',
		prop: 'isuser',
		tooltip: true,
		width: 150
	},
]
// 详情页面结构JSON
const formRow = [{
		elCol: [{
			label: '上级机构',
			prop: 'upId',
			tag: 'elTreeSelect',
			options:[]
		}]
	},
	{
		elCol: [{
			label: '机构名称',
			prop: 'orgName',
			tag: 'elInput',
		}]
	},
	{
		elCol: [{
			label: '部门编码',
			prop: 'orgCode',
			tag: 'elInput',
		}]
	},
	{
		elCol: [{
			label: '类型',
			prop: 'orgType',
			tag: 'elRadio',
			options: [{
				label: '集团',
				value: '1'
			}, {
				label: '公司',
				value: '2'
			}, {
				label: '部门',
				value: '3'
			}]
		}]
	},
	{
		elCol: [{
			label: '机构顺序',
			prop: 'sorts',
			tag: 'elInputNumber',
			rules: true
		}]

	},
	{
		elCol: [{
			label: '等级',
			prop: 'lvl',
			tag: 'elInput',
			disabled: true
		}]

	},
]
const rules = {
	orgName: [{
		required: true,
		message: '请输入机构名称',
		trigger: 'change'
	}],
	orgCode: [{
		required: true,
		message: '请输入机构编码',
		trigger: 'change'
	}],
};
export default {
	formRow,
	rules,
	tableColumnJson
}
