// 搜索配置
const searchModelJson = [

]
// 页面操作按钮配置
const fucDataJson = [{
		name: '导出',
		type: 'danger',
		icon: 'el-icon-position'
	},

]
// 表头配置
const tableColumnJson = [
	{
		label: '所属部门',
		prop: 'o_OrganName',
		tooltip: true,
	},
	{
		label: '工号',
		prop: 'p_PersonCode',
		tooltip: true,
		// other: {
		// 	color: '#4C9CFF',
		// 	isClick: true
		// }
	},
	{
		label: '姓名',
		prop: 'p_PersonName',
		
		tooltip: true,
	},
	{
		label: '入职时间',
		prop: 'p_EntryTime',
		tooltip: true,
	},
	// {
	// 	label: '离职时间',
	// 	prop: 'number',
	// 	tooltip: true
	// },
	// {
	// 	label: '性别',
	// 	prop: 'sex',
	// 	tooltip: true
	// },
	// {
	// 	label: '学历',
	// 	prop: 'Degree',
	// 	tooltip: true,
	// },
	// {
	// 	label: '职务',
	// 	prop: 'Post',
	// 	tooltip: true,
	// },
	// {
	// 	label: '级别 ',
	// 	prop: 'illegalType',
	// 	tooltip: true,
	// },
	// {
	// 	label: '生日',
	// 	prop: 'BirthDay',
	// 	tooltip: true,
	// },
	{
		label: '固定电话 ',
		prop: 'p_MoiblePhone',
		tooltip: true,
	},
	// {
	// 	label: '籍贯 ',
	// 	prop: 'areaCovered',
	// 	tooltip: true,
	// },
	// {
	// 	label: '身份证',
	// 	prop: 'areaBuilding',
	// 	tooltip: true,
	// },
	{
		label: '电子邮箱',
		prop: 'p_Email',
		tooltip: true,
	},
	{
		label: '出生年月',
		prop: 'p_BirthDay',
		tooltip: true,
	},
	{
		label: '是否用户分配',
		prop: 'isuser',
		tooltip: true,
	},

]
// 详情页面结构JSON
const formRow = [{
		elCol: [{
				label: '工号',
				prop: 'p_PersonCode',
				tag: 'elInput',
			},
			{
				label: '姓名',
				prop: 'p_PersonName',
				tag: 'elInput',
			},
		]
	},
	{
		elCol: [{
				label: '部门',
				prop: 'o_OrganName',
				tag: 'elDialog'
			},
			{
				label: '手机号',
				prop: 'p_Telphone',
				tag: 'elInput',
				rules:true,
				rulesName:'phone'
			},
		]
	},
	{
		elCol: [{
				label: '性别',
				prop: 'p_Sex',
				tag: 'elRadio',
				options: [{
						label: '男',
						value: 1
					},{
						label: '女',
						value: 0
					}
				]
			},
			{
				label: '学历',
				prop: 'p_DegreeID',
				tag: 'elSelect',
				options: []
			},
		]
	},
	{
		elCol: [{
				label: '职务',
				prop: 'p_PostID',
				tag: 'elSelect',
				options: [
				]
			},
			{
				label: '级别',
				prop: 'p_LevelID',
				tag: 'elSelect',
				options: [],
			},
		]
	},
	{
		elCol: [{
				label: '生日',
				prop: 'p_BirthDay',
				tag: 'elDatePicker',
				placeholder:'请点击选择',
				// type:'date'
			},{
				label: '入职时间',
				prop: 'p_EntryTime',
				tag: 'elDatePicker',
				placeholder:'请点击选择',
				// type:'date'
			}
		]
	},
	{
		elCol: [
			{
				label: '固定电话',
				prop: 'p_MoiblePhone',
				tag: 'elInput'
			},
			// {
			// 	label: '身份证',
			// 	prop: 'IdCard',
			// 	tag: 'elInput'
			// },
		]
	},
	{
		elCol: [{
				label: '电子邮箱',
				prop: 'p_Email',
				tag: 'elInput',
				// rules:true,
				// rulesName:'eMail'
			},
			{
				label: '序号',
				prop: 'p_Sort',
				tag: 'elInput',
				type:'number'
			},
		]
	},
	{
		elCol: [{
			label: '备注',
			prop: 'p_Remark',
			tag: 'elInput',
			type: 'textarea',
			span:24
		}, ]
	},


]
const roleOptions = [{
		label: '超级管理员',
		value: 1
	},
	{
		label: '业务员',
		value: 2
	},
	{
		label: '管理员',
		value: 3
	},
	{
		label: '开发成员',
		value: 4
	},
	{
		label: '项目经理',
		value: 5
	},
	{
		label: '实施人员',
		value: 6
	},
	{
		label: '财务',
		value: 7
	},
	{
		label: '总经理',
		value: 8
	},
	{
		label: '副总',
		value: 9
	}
]
const userRules = {
	p_PersonCode: [{
		required: true,
		message: '请输入工号',
		trigger: 'change'
	}],
	p_PersonName: [{
		required: true,
		message: '请输入姓名',
		trigger: 'change'
	}],
	orgainName: [{
		required: true,
		message: '请选择组织',
		trigger: 'change'
	}],
	p_Telphone: [{
		required: true,
		message: '请输入手机号码',
		trigger: 'change'
	}],
	p_Sex: [{
		required: true,
		message: '请选择性别',
		trigger: 'change'
	}],
	p_Email: [{ type: 'email', message: '请输入正确的邮箱地址', trigger: ['blur', 'change'] }],
};

export default {
	searchModelJson,
	fucDataJson,
	tableColumnJson,
	formRow,
	userRules
}
