// 页面操作按钮配置
const fucDataJson = [{
		name: '导出',
		type: 'danger',
		icon: 'el-icon-position'
	},

]
// 表头配置
const tableColumnJson = [{
		label: '显示名称',
		prop: 'viewName',
		tooltip: true,
	},
	{
		label: '登录名',
		prop: 'loginName',
		tooltip: true,
		// other: {
		// 	color: '#4C9CFF',
		// 	isClick: true
		// }
	},
	{
		label: '密码超期时间',
		prop: 'expirationDate',
		tooltip: true,
	},
	{
		label: '入职时间',
		prop: 'entryTime',
		tooltip: true,
	},
	{
		label: '是否启用',
		prop: 'state',
		tooltip: true
	},
	{
		label: '电子邮箱',
		prop: 'email',
		tooltip: true
	},
	{
		label: '在职状态',
		prop: 'useState',
		tooltip: true,
	},
]
// 表头配置
const personColumn = [{
		label: '用户账号',
		prop: 'u_LoginCode',
		tooltip: true,
	},
	{
		label: '用户姓名',
		prop: 'p_PersonName',
		tooltip: true,
	},
	{
		label: '所属部门',
		prop: 'o_OrganName',
		tooltip: true,
	},
	{
		label: '手机号',
		prop: 'p_Telphone',
		tooltip: true
	},
	{
		label: '状态',
		prop: 'stateNote',
		tooltip: true
	},

]
// 详情页面结构JSON
const formRow1 = [{
	elCol: [{
			label: '选择人员',
			prop: 'p_PersonName',
			tag: 'elDialog',
			// disabled:false
		},
		{
			label: '登录账号',
			prop: 'u_LoginCode',
			tag: 'elInput',
			// placeholder:'自动带入',
			// disabled:true
		},
	]
}, {
	elCol: [{
		label: '描述',
		prop: 'u_Remark',
		tag: 'elInput',
		type: 'textarea',
		span: 24
	}, ]
}]
const formRow2 = [{
	elCol: [{
			label: '用户名',
			prop: 'p_PersonName',
			tag: 'elDialog',
			// disabled:false
		},
		{
			label: '登录账号',
			prop: 'u_LoginCode',
			tag: 'elInput',
			// placeholder:'自动带入',
			// disabled:true
		},
	]
}, {
	elCol: [{
		label: '描述',
		prop: 'u_Remark',
		tag: 'elInput',
		type: 'textarea',
		span: 24
	}, ]
}]
const rules = {
	villageId: [{
		required: true,
		message: '请选择村/社区名称',
		trigger: 'change'
	}],
	registerTime: [{
		required: true,
		message: '请选择登记时间',
		trigger: 'change'
	}],
};
// 详情显示图片配置
const showImgJson = {
	span: 24,
	text: '现场照片',
	field: 'photoUrls',

};
const formRow = [
	{
		elCol: [{
			label: '显示名称',
			prop: 'viewName',
			tag: 'elInput',
		}, {
			label: '登录名',
			prop: 'loginName',
			tag: 'elInput',
			disabled: false
		}]
	},
	{
		elCol: [{
			label: '密码',
			prop: 'password',
			tag: 'elInput',
			type: 'password'
		}, {
			label: '加密策略',
			prop: 'encryptionPolicy',
			tag: 'elInput',
		}]
	},
	{
		elCol: [{
			label: '密码超时时间',
			prop: 'expirationDate',
			tag: 'elDatePicker',
			type: 'datetime'
		}, {
			label: '密码次数',
			prop: 'pawFrequency',
			tag: 'elInputNumber',
		}]
	}, {
		elCol: [{
				label: '人员编号 ',
				prop: 'staffId',
				tag: 'elInput',
			},
			{
				label: '头像路径',
				prop: 'iconUrl',
				tag: 'elInput',
				disabled: false
			}
		]
	},
	{
		elCol: [{
			label: '是否是内部',
			prop: 'builtIn',
			tag: 'elRadio',
			options: [{
					label: '是',
					value: '1'
				},
				{
					label: '否',
					value: '0'
				},
			]
		}, {
			label: '是否启用',
			prop: 'state',
			tag: 'elRadio',
			options: [{
					label: '启用',
					value: '1'
				},
				{
					label: '停用',
					value: '0'
				},
			]
		}]
	},
	{
		elCol: [{
			label: '模块操作级别',
			prop: 'level',
			tag: 'elSelect',
			options: [{
					label: 'SuperAdmin',
					value: '1'
				},{
					label: 'admin',
					value: '2'
				},{
					label: 'user',
					value: '3'
				}
			]

		}, {
			label: '电子邮件',
			prop: 'email',
			tag: 'elInput',
		}]
	},
	{
		elCol: [{
			label: '手机号码',
			prop: 'phone',
			tag: 'elInput',
		}, {
			label: '职务级别',
			prop: 'userLvl',
			tag: 'elSelect',
			options: [
				{
					label: '管理员',
					value: '0'
				},
				{
					label: '访客',
					value: '1'
				},
				{
					label: '员工',
					value: '2'
				},
			]
		}]
	},
	{
		elCol: [{
			label: '性别',
			prop: 'sex',
			tag: 'elRadio',
			options: [{
					label: '男',
					value: '0'
				},
				{
					label: '女',
					value: '1'
				},
			]
		}, {
			label: '锁定状态',
			prop: 'lockState',
			tag: 'elRadio',
			options: [{
					label: '锁定',
					value: '0'
				},
				{
					label: '未锁定',
					value: '1'
				},
			]
		}]
	},
	{
		elCol: [{
			label: '在职状态',
			prop: 'useState',
			tag: 'elRadio',
			options: [{
					label: '在职',
					value: '1'
				},
				{
					label: '离职',
					value: '2'
				},
			]
		}, {
			label: '微信token',
			prop: 'wechatToken',
			tag: 'elInput',
			disabled: true
		}]
	},
	{
		elCol: [{
			label: '是否可以登录',
			prop: 'isLoginable',
			tag: 'elRadio',
			options: [{
					label: '是',
					value: '1'
				},
				{
					label: '否',
					value: '0'
				},
			]
		}, {
			label: '是否虚拟账号',
			prop: 'isVirtual',
			tag: 'elRadio',
			options: [{
					label: '是',
					value: '1'
				},
				{
					label: '否',
					value: '0'
				},
			]
		}]
	},
	{
		elCol: [{
			label: '是否被分配',
			prop: 'isAssigned',
			tag: 'elRadio',
			options: [{
					label: '是',
					value: '1'
				},
				{
					label: '否',
					value: '0'
				},
			]
		}, {
			label: '是否管理员',
			prop: 'isAdmin',
			tag: 'elRadio',
			options: [{
					label: '是',
					value: '1'
				},
				{
					label: '否',
					value: '0'
				},
			]
		}]
	},
	{
		elCol: [{
			label: '枚举',
			prop: 'memberType',
			tag: 'elInput',
			tag: 'elRadio',
			options: [{
					label: '正式',
					value: '1'
				},
				{
					label: '非正式',
					value: '0'
				},
			]
		}, {
			label: '是否被删除',
			prop: 'isDeleted',
			tag: 'elRadio',
			options: [{
					label: '删除',
					value: '1'
				},
				{
					label: '未删除',
					value: '0'
				},
			]
		}]
	},
	{
		elCol: [{
			label: '内外标识',
			prop: 'externalType',
			tag: 'elRadio',
			options: [{
					label: '外部人',
					value: '1'
				},
				{
					label: '内部人',
					value: '0'
				},
			]
		}, {
			label: '编号',
			prop: 'memberCode',
			tag: 'elInput',
		}]
	},
	{
		elCol: [{
			label: '出生日期',
			prop: 'birthDate',
			tag: 'elDatePicker',
			type: 'datetime'
		}, {
			label: '办公电话',
			prop: 'officeTel',
			tag: 'elInput',
		}]
	},

	{
		elCol: [{
			label: '人员照片地址',
			prop: 'photoAddress',
			tag: 'elInput',
			disabled: true
		}, {
			label: '所属部门',
			prop: 'department',
			tag: 'elTreeSelect',
			options:[],
		}]
	},
	{
		elCol: [{
			label: '排序编号',
			prop: 'sorts',
			tag: 'elInputNumber',
		}, {
			label: '工作地',
			prop: 'workplace',
			tag: 'elInput',
		}]
	},
	{
		elCol: [{
			label: '主岗',
			prop: 'majorPosition',
			tag: 'elInput',
		}, {
			label: '副岗',
			prop: 'deputyPost',
			tag: 'elInput',
		}]
	},
	{
		elCol: [{
			label: '人员类型',
			prop: 'userType',
			tag: 'elSelect',
			options:[
				{label:'超级管理员',value:'1'},
				{label:'管理员',value:'2'},
				{label:'业务员',value:'3'},
			]
		}, {
			label: '人员状态',
			prop: 'personnelStatus',
			tag: 'elInput',
			tag: 'elRadio',
			options: [{
					label: '启用',
					value: '1'
				},
				{
					label: '停用',
					value: '0'
				},
			]
		}]
	},
	{
		elCol: [{
			label: '入职时间',
			prop: 'entryTime',
			tag: 'elDatePicker',
			type: 'datetime'
		}, {
			label: '汇报人',
			prop: 'reporter',
			tag: 'elInput',
		}]
	},
]
export default {
	fucDataJson,
	tableColumnJson,
	showImgJson,
	formRow1,
	formRow2,
	rules,
	personColumn,
	formRow
}
